{
  description = "rauhala.info";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
  {
  }
  //
  flake-utils.lib.eachDefaultSystem (system:
    let
      pkgs = nixpkgs.legacyPackages.${system};
      hp = pkgs.haskellPackages.override ( old: {
        overrides = pkgs.lib.composeExtensions ( old.overrides or (_: _: {})) (f: p: {
          build-rauhala-info = f.callPackage ./site {};
        });
      } );
    in
    rec {
      packages.rauhala-info = pkgs.callPackage ./rauhala.info { site = hp.build-rauhala-info; };
      defaultPackage = packages.rauhala-info;
      devShell = hp.shellFor {
        packages = h: [h.build-rauhala-info];
        buildInputs = with pkgs; [
          ghcid
          cabal-install
          stylish-haskell
          entr
          haskell-language-server
          ipfs
          nodePackages.npm
          node2nix
        ];
      };
    });
}
