{ stdenv, glibcLocales, site }:

stdenv.mkDerivation {
  pname = "rauhala.info";
  version = "0.1.0";

  src = builtins.filterSource (path: type: baseNameOf path != "_cache" && baseNameOf path != "_site") ./.;

  phases = ["buildPhase" "installPhase"];


  buildPhase = ''
    export LOCALE_ARCHIVE="${glibcLocales}/lib/locale/locale-archive"
    export LANG=en_US.UTF-8

    cp -r $src/* .
    ${site}/bin/site build
  '';

  installPhase = ''
    mkdir -p $out/share/
    cp -r _site/* $out/share/
  '';
}
