#!@bash@/bin/bash

set -e

nix build .#rauhala-info

API=/ip4/127.0.0.1/tcp/5001

function upload() {
  echo "Uploading.."
  hash=$(ipfs --api $API add -r result/share --pin=false -Q)
}

function pin() {
  echo "Pinning"
  ipfs --api $API pin remote rm --service=pinata --cid="$hash"
  ipfs --api $API pin remote add --service=pinata --name=rauhala.info "$hash"
}

function publish() {
  echo "Updating name"
  ipfs --api $API name publish --key=rauhala.info "$hash"
}

upload

pin &

publish &

wait


